Skip to main content

private/get-withdrawal-history

POST 

/private/get-withdrawal-history

Fetches withdrawal history. If you do not see the option when viewing your API Keys, this feature is not yet available for you.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/get-withdrawal-history"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    currency string

    E.g. BTC, CRO.

    start_ts int64

    Start time (ms). Default is 90 days before current timestamp.

    end_ts int64

    End time (ms). Default is current timestamp.

    page_size int32

    Page size (Default: 20, Max: 200).

    page int32

    Page number (0-based).

    status WithdrawalStatus (string)

    Possible values: [0, 1, 2, 3, 4, 5, 6]

    Withdrawal status. Used in private/get-withdrawal-history request (filter) and response (withdrawal_list[].status).

    • ➖ 0: Pending
    • ➖ 1: Processing
    • ➖ 2: Rejected
    • ➖ 3: Payment In-progress
    • ➖ 4: Payment Failed
    • ➖ 5: Completed
    • ➖ 6: Cancelled
Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. withdrawal_list (currency, client_wid, fee, create_time, id, update_time, amount, address, status, txid, network_id).
    withdrawal_list object[]
    List of withdrawal records.
  • Array [
  • currency string

    E.g. BTC, CRO.

    client_wid string

    Client withdrawal ID from the request, if provided.

    fee decimal

    Withdrawal fee.

    create_time int64

    Creation timestamp.

    id string

    Withdrawal ID.

    update_time int64

    Last update timestamp.

    amount decimal

    Withdrawal amount.

    address string

    Address with Address Tag (if any).

    status WithdrawalStatus (string)

    Possible values: [0, 1, 2, 3, 4, 5, 6]

    Withdrawal status. Used in private/get-withdrawal-history request (filter) and response (withdrawal_list[].status).

    • ➖ 0: Pending
    • ➖ 1: Processing
    • ➖ 2: Rejected
    • ➖ 3: Payment In-progress
    • ➖ 4: Payment Failed
    • ➖ 5: Completed
    • ➖ 6: Cancelled
    txid string

    Transaction hash.

    network_id string

    Network for the transaction; only available when the exchange supports multiple networks for the currency.

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.